pugi::xml_attribute_struct Struct Reference

A 'name=value' XML attribute structure. More...

Collaboration diagram for pugi::xml_attribute_struct:
[legend]

## Public Member Functions

| xml_attribute_struct (impl::xml_memory_page *page)
| Default ctor. More...

## Public Attributes

uintptr_t | header
char_t * | name
| Pointer to attribute name. More...
char_t * | value
| Pointer to attribute value. More...
xml_attribute_struct * | prev_attribute_c
| Previous attribute (cyclic list) More...
xml_attribute_struct * | next_attribute
| Next attribute. More...

## Detailed Description

A 'name=value' XML attribute structure.

Definition at line 489 of file pugixml.cpp.

## Constructor & Destructor Documentation

## xml_attribute_struct()

pugi::xml_attribute_struct::xml_attribute_struct | ( | impl::xml_memory_page * | page | ) |

inline

Default ctor.

Definition at line 492 of file pugixml.cpp.

: header(reinterpret_cast<uintptr_t>(page)), name(0), value(0), prev_attribute_c(0), next_attribute(0)
{
}
pugi::xml_attribute_struct::value
char_t * value
Pointer to attribute value.
Definition: pugixml.cpp:499
pugi::xml_attribute_struct::prev_attribute_c
xml_attribute_struct * prev_attribute_c
Previous attribute (cyclic list)
Definition: pugixml.cpp:501
pugi::xml_attribute_struct::header
uintptr_t header
Definition: pugixml.cpp:496
pugi::xml_attribute_struct::next_attribute
xml_attribute_struct * next_attribute
Next attribute.
Definition: pugixml.cpp:502
pugi::xml_attribute_struct::name
char_t * name
Pointer to attribute name.
Definition: pugixml.cpp:498

## Member Data Documentation

## header

uintptr_t pugi::xml_attribute_struct::header

Definition at line 496 of file pugixml.cpp.

## name

char_t* pugi::xml_attribute_struct::name

Pointer to attribute name.

Definition at line 498 of file pugixml.cpp.

## next_attribute

xml_attribute_struct* pugi::xml_attribute_struct::next_attribute

Next attribute.

Definition at line 502 of file pugixml.cpp.

Referenced by pugi::unspecified_bool_xml_node().

## prev_attribute_c

xml_attribute_struct* pugi::xml_attribute_struct::prev_attribute_c

Previous attribute (cyclic list)

Definition at line 501 of file pugixml.cpp.

Referenced by pugi::unspecified_bool_xml_node().

## value

char_t* pugi::xml_attribute_struct::value

Pointer to attribute value.

Definition at line 499 of file pugixml.cpp.

The documentation for this struct was generated from the following file:

- pugixml.cpp